Subject: Re: bug#75147: [PATCH maintenance] hydra: services: guix-packages-website: Update to 0.3.0-0.e669a5e963.

From: Luis Felipe <[email-masked]>
Date: Wed, 15 Jan 2025 22:55:44 +0000

On 15/01/25 14:12, Christopher Baines wrote:
> Luis Felipe <[email-masked]> writes:
>
>> On 11/01/25 23:23, Ludovic Courtès wrote:
>>> Hi Luis,
>>>
>>> [email-masked] skribis:
>>>
>>>> From: Luis Felipe <[email-masked]>
>>>>
>>>> * hydra/modules/sysadmin/services.scm (%guix-packages-website): Update
>>>> commit, version and hash accordingly.
>>>> (guix-packages-website-shepherd-services): Add a new environment
>>>> variable "GUIX_PACKAGES_WEBSITE_DOMAIN_NAME".
>>> Pushed, thanks!
>>>
>>> We have yet to deploy it (on bayfront).  Hopefully one of us sysadmins
>>> will get around to doing it soon.
>> Great, thank you very much.
> I think I've managed to reconfigure and restart the
> guix-packages-website service now, I had to create this directory
> manually since I think something was doing mkdir without creating the
> hierarchy properly.
>
> /var/lib/guix-packages-website/sys/i18n

Sounds like this issue: 
https://lists.gnu.org/archive/html/guile-user/2025-01/msg00013.html

I tested the app with Artanis 0.6 before sending the patch, and then 
with 1.0 while the patch was pending, and things worked in my testing 
environment. In the meantime though, Artanis 1.1.0 was released, and it 
introduced changes related to i18n.

> Thnaks,

No, no, thank you, Chris.

By the way, I see that the search box in the navigation bar is not 
displaying as expected. I see that nginx is serving obsolete static 
files (CSS for example), no matter if you ask the browser to request new 
resources (using Crtl+F5 or the "Disable cache" option).